package fr.titionfire.ffsaf.utils;

import io.quarkus.runtime.annotations.RegisterForReflection;

import java.util.HashMap;

@RegisterForReflection
public enum Contact {
    COURRIEL("Courriel"),
    TELEPHONE("Téléphone"),
    SITE("Site web"),
    FACEBOOK("Facebook"),
    INSTAGRAM("Instagram"),
    AUTRE("Autre");

    public String name;

    Contact(String name) {
        this.name = name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public static HashMap<String, String> toSite() {
        HashMap<String, String> map = new HashMap<>();
        for (Contact contact : Contact.values()) {
            map.put(contact.toString(), contact.name);
        }
        return map;
    }
}
